#ifndef STATS_HPP_INCLUDED
#define STATS_HPP_INCLUDED

#include <cstdint>

namespace Stats
{
    typedef enum SKILLS
    {
        ATTACK,
        DEFENCE,
        STRENGTH,
        HITPOINTS,
        RANGE,
        PRAYER,
        MAGIC,
        COOKING,
        WOODCUTTING,
        FLETCHING,
        FISHING,
        FIREMAKING,
        CRAFTING,
        SMITHING,
        MINING,
        HERBLORE,
        AGILITY,
        THIEVING,
        SLAYER,
        FARMING,
        RUNECRAFT,
        HUNTER,
        CONSTRUCTION,
        ALL
    } SKILLS;

    bool IsOpen();
    bool Open(bool UseHotkey = false);
    std::int32_t GetTabHotkey();
    std::int32_t GetWeight();
    std::int32_t GetRunEnergy();
    std::int32_t GetCurrentLevel(SKILLS Skill);
    std::int32_t GetRealLevel(SKILLS Skill);
    std::int64_t GetExperience(SKILLS Skill);
    std::int32_t GetExperienceTo(SKILLS Skill, std::int32_t Level);
}

#endif // STATS_HPP_INCLUDED
